import javax.swing.*;
import java.awt.event.*;
import java.awt.*;


public class KonyvFelvitelUrlap extends JDialog implements ActionListener {
	
	private JTextField tf_konyvszamMezo;
	private JTextField tf_szerzoMezo;
	private JTextField tf_cimMezo;
	private JTextField tf_kiadoMezo;
	private JTextField tf_evMezo;
	
	private JPanel panel_foPanel;
	private JPanel panel_inputPanel;
	private JButton button_felviszGomb;
	
	private AdatbazisKezelo adatKezelo;
	
	public KonyvFelvitelUrlap(Frame szuloAblak) {
		
		super(szuloAblak, "Új könyv felvitele");
		
		// létrehozzuk a GUI objektumokat
		this.tf_konyvszamMezo = new JTextField();
		this.tf_szerzoMezo = new JTextField();
		this.tf_cimMezo = new JTextField();
		this.tf_kiadoMezo = new JTextField();
		this.tf_evMezo = new JTextField();
		this.button_felviszGomb = new JButton("Felvisz");
		
		// létrehozzuk a paneleket és azok elrendezéseit
		this.panel_foPanel = new JPanel();
		this.panel_foPanel.setLayout(new BorderLayout());
		this.panel_inputPanel = new JPanel();
		this.panel_inputPanel.setLayout(new GridLayout(5,2));
		
		// a főpanelt hozzáadjuk a dialógablakhoz
		this.getContentPane().add(panel_foPanel); 
		
		// az input mezőket táblázatos elrendezésben helyezem el az  input panelen
		// mindegyik elé teszek egy konstans cimkét, hogy mit kell oda írni
		// a GridLayout elrendezésű konténereket sorfolytonosan kell feltölteni
		this.panel_inputPanel.add(new JLabel("Könyvszám:"));
		this.panel_inputPanel.add(this.tf_konyvszamMezo);
		this.panel_inputPanel.add(new JLabel("Cím:"));
		this.panel_inputPanel.add(this.tf_cimMezo);
		this.panel_inputPanel.add(new JLabel("Szerző:"));
		this.panel_inputPanel.add(this.tf_szerzoMezo);
		this.panel_inputPanel.add(new JLabel("Kiadó:"));
		this.panel_inputPanel.add(this.tf_kiadoMezo);
		this.panel_inputPanel.add(new JLabel("Kiadás éve:"));
		this.panel_inputPanel.add(this.tf_evMezo);
		
		// hozzáadjuk az input panelt a főpanelhez, középre
		this.panel_foPanel.add(panel_inputPanel, BorderLayout.CENTER);
		
		// a felvisz gombot hozzáadjuk a főpanel alsó részéhez
		this.panel_foPanel.add(button_felviszGomb, BorderLayout.SOUTH); 
		
		// a FELVISZ gombhoz hozzárendelünk egy eseményfigyelőt
		this.button_felviszGomb.addActionListener(this); 
		// a this azt mondja meg, hogy ez az osztály kezeli le az eseményt az actionPerformed() metódusban
		
		this.pack();
		
	}
	
	public void elokeszit() {
		this.tf_konyvszamMezo.setText("");
		this.tf_cimMezo.setText("");
		this.tf_szerzoMezo.setText("");
		this.tf_kiadoMezo.setText("");
		this.tf_evMezo.setText("");
	}
	
	/**
	 * Ez a metódus paraméterül kapja az Adatbaziskezelo objektumot
	 **/ 
	public void setAdatkezelo(AdatbazisKezelo adatkezelo) {
		this.adatKezelo = adatkezelo;
	}
	
	/** 
	 * Ez a metódus fogja a gombnyomás eseményét feldolgozni
	 **/
	public void actionPerformed(ActionEvent e) {
		
		// ha a FELVISZ gomb váltotta ki az eseményt ... 
		if ( e.getSource().equals(this.button_felviszGomb) ) {
			String konyvszam = this.tf_konyvszamMezo.getText();
			String cim = this.tf_cimMezo.getText();
			String szerzo = this.tf_szerzoMezo.getText();
			String kiado = this.tf_kiadoMezo.getText();
			int ev = Integer.parseInt(this.tf_evMezo.getText()); // átalakítom
			
			boolean sikerult = this.adatKezelo.ujKonyvetFelvisz(konyvszam, cim, szerzo, kiado, ev);
			
			
			this.dispose();
		}
		
	}
	
	
	
	
}
