import javax.swing.*;
import java.awt.event.*;
import java.sql.*;

 
public class KonyvtarPelda extends JFrame implements ActionListener {
	
	private KonyvFelvitelUrlap dialog_konyvFelvitelUrlap;
	private AdatbazisKezelo adatkezelo;
	
	private JMenu menu_fileMenu;
	private JMenu menu_konyvekMenu;
	private JMenuItem menuitem_konyvFelvitel;
	private JMenuItem menuitem_kilep;
	
	public KonyvtarPelda(String title) {
		
		super(title); // az ablak felirata 
		
		// létrehozzuk az objektumokat
		
		// létrehozzuk a párbeszédablakot, de nem jelenítjük meg 
		this.dialog_konyvFelvitelUrlap = new KonyvFelvitelUrlap(this);
		this.dialog_konyvFelvitelUrlap.setVisible(false); // nem jelenítjük meg, csak 
		
		// létrehozzuk az adatbáziskezelőt
		this.adatkezelo = new AdatbazisKezelo("localhost:3306/KONYVTAR", "root", "");
		
		// beállítjuk a párbeszédablakhoz az adatbáziskezelőt
		this.dialog_konyvFelvitelUrlap.setAdatkezelo(this.adatkezelo);


		// létrehozzuk a menüt és a menülelemekt
		JMenuBar menubar = new JMenuBar();
		this.setJMenuBar(menubar);
		
		this.menu_fileMenu = new JMenu("File");
		this.menu_konyvekMenu = new JMenu("Könyvek");
		
		this.menuitem_kilep = new JMenuItem("Kilép");
		this.menuitem_konyvFelvitel = new JMenuItem("Új könyv felvétele ...");
		
		// hozzáadjuk a menüket a menubar-hoz
		menubar.add(menu_fileMenu);
		menubar.add(menu_konyvekMenu);
		
		// hozzáadjuk a File menühöz a kilépést
		this.menu_fileMenu.add(menuitem_kilep);
		this.menu_konyvekMenu.add(menuitem_konyvFelvitel);
		
		// hozzáadunk egy eseményfigyelőt a menüelemekhez
		// ez az oosztály fogja ezeket az eseményeket lekezelni
		this.menuitem_kilep.addActionListener(this);
		this.menuitem_konyvFelvitel.addActionListener(this);
		
		
		// megjelenítjük a főablakot,
		//this.pack(); // csak akkorára állítjuk a méretét, amekkora helyet elfoglal
		this.setSize(300,100);
		this.setLocation(300, 300);
		this.setVisible(true);
		
	}
	
	
	/**
	 * Ebben a metódusban kezeljük le a menüelemekre kattintást és a gombnyomásokat
	 **/
	public void actionPerformed(ActionEvent e) {
		
		// ha az KILÉPÉS menüpontra kattintottunk
		if ( e.getSource().equals(this.menuitem_kilep) ) {
			this.adatkezelo.adatbazistBezar();
			System.exit(0);
		}
		
		// ha könyvet akarunk felvinni
		if ( e.getSource().equals(this.menuitem_konyvFelvitel) ) {
			this.dialog_konyvFelvitelUrlap.elokeszit(); // kitörlöm a korábbi tartalmat
			this.dialog_konyvFelvitelUrlap.setVisible(true); // megjelenítem a párbeszédablakot
		}  
		
	}
	
	
	/**
	 * A főprogram 
	 **/
	 public static void main(String args[]) {
		 KonyvtarPelda konyvtarPelda = new KonyvtarPelda("Könyvtár példa program");
		 
	 }
	
}
